var a,i,i2 : Longint;
var t : real;
begin
WriteLn('Введите натуральное число');
ReadLn(a);
for i:=1 to 44 do
 begin
  t:=1;
  for i2:=1 to i do
   t:=1.618 * t;     {1.618=(sqrt(5)+1)/2}
  if (a=Round(t/2.236)) then {2.236=sqrt(5)}
   begin
    WriteLn(a,'-фиббоначиевое число');
    ReadLn;
    exit;
    end;
 end;
WriteLn(a,'-не фиббоначиевое число');
ReadLn;
end.